[PATCH -v2] xfs/32: fix test failure on kernels which don't support bs > ps

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]



When trying to mount a file system with a block size > page size on
kernel which doesn't support this, suppress the error messages from
showing up in the output file lest it cause test failures.

Fixes: 0b66f6efd669 ("xfs/032: try running on blocksize > pagesize filesystems")
Signed-off-by: Theodore Ts'o <tytso@xxxxxxx>
---
v2:
    As Darrick suggested redirect the output of mount(8) to $seqres.full
    instead of /dev/null

 tests/xfs/032 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/xfs/032 b/tests/xfs/032
index 41a9134d8..675881d5b 100755
--- a/tests/xfs/032
+++ b/tests/xfs/032
@@ -44,7 +44,7 @@ for ((; SECTORSIZE <= 65536; SECTORSIZE *= 2)); do
 		if [ $? -ne 0 ]; then
 			continue
 		fi
-		if ! _try_scratch_mount; then
+		if ! _try_scratch_mount >> $seqres.full 2>&1 ; then
 			if [ $BLOCKSIZE -le $PAGESIZE ]; then
 				_fail "mount $(_scratch_mount_options $*) failed"
 			fi
-- 
2.45.2





[Index of Archives]     [Linux Filesystems Development]     [Linux NFS]     [Linux NILFS]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux